package com.example.netwrok_datastore.data.remote

import com.example.netwrok_datastore.data.remote.auth.AuthApi
import kotlinx.serialization.json.Json
import okhttp3.MediaType.Companion.toMediaType
import retrofit2.Retrofit
import retrofit2.converter.kotlinx.serialization.asConverterFactory
import retrofit2.create

object RetrofitSettings {
    private const val URL = "http://192.168.4.25:8080"
    private val retrofit = Retrofit.Builder()
        .baseUrl(URL)
        .addConverterFactory(
            Json.asConverterFactory(
                "application/json; charset=UTF8".toMediaType()
        )).build()
    val authApi by lazy {
        retrofit.create(AuthApi::class.java)
    }
}