package com.example.netwrok_datastore.data

import com.example.netwrok_datastore.data.remote.NetworkResponse
import com.example.netwrok_datastore.data.remote.auth.AuthApi
import com.example.netwrok_datastore.data.remote.dto.request.RegistrationRequest
import com.example.netwrok_datastore.data.remote.dto.response.TokenResponse
import kotlinx.coroutines.delay

class AuthRepository(private val api: AuthApi) {
    suspend fun registration(registrationRequest: RegistrationRequest): TokenResponse {
        delay(3000)
        return api.registration(registrationRequest)
    }
}